Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class TimeLimitedCollector.TimeExceededException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.lucene.search.TimeLimitedCollector.TimeExceededException

All Implemented Interfaces:
  Serializable

Enclosing class:
  TimeLimitedCollector

    public static class TimeLimitedCollector.TimeExceededException

extends RuntimeException

Thrown when elapsed search time exceeds allowed search time.

See Also:
  Serialized Form

Method Summary
`int` | `getLastDocCollected()` Returns last doc that was collected when the search time exceeded.
`long` | `getTimeAllowed()` Returns allowed time (milliseconds).
`long` | `getTimeElapsed()` Returns elapsed time (milliseconds).

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getTimeAllowed

    public long getTimeAllowed()

  Returns allowed time (milliseconds).

### getTimeElapsed

    public long getTimeElapsed()

  Returns elapsed time (milliseconds).

### getLastDocCollected

    public int getLastDocCollected()

  Returns last doc that was collected when the search time exceeded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.